Apache Tomcat 7.0.42

## org.apache.catalina.ha.session
Class DeltaRequest

    java.lang.Object
      org.apache.catalina.ha.session.DeltaRequest

All Implemented Interfaces:
  Externalizable, Serializable

    public class DeltaRequest

extends Object
implements Externalizable

See Also:
  Serialized Form

Field Summary
`static int` `ACTION_REMOVE`
`static int` `ACTION_SET`
`static Log` `log`
`static String` `NAME_AUTHTYPE`
`static String` `NAME_ISNEW`
`static String` `NAME_MAXINTERVAL`
`static String` `NAME_PRINCIPAL`
`protected static StringManager` `sm` The string manager for this package.
`static int` `TYPE_ATTRIBUTE`
`static int` `TYPE_AUTHTYPE`
`static int` `TYPE_ISNEW`
`static int` `TYPE_MAXINTERVAL`
`static int` `TYPE_PRINCIPAL`

Constructor Summary
`DeltaRequest()`
`DeltaRequest(String sessionId, boolean recordAllActions)`

Method Summary
`protected void` `addAction(int type, int action, String name, Object value)`
`void` `clear()`
`void` `execute(DeltaSession session, boolean notifyListeners)`
`String` `getSessionId()`
`int` `getSize()`
`void` `readExternal(ObjectInput in)`
`void` `removeAttribute(String name)`
`void` `reset()`
`protected byte[]` `serialize()` serialize DeltaRequest
`void` `setAttribute(String name, Object value)`
`void` `setAuthType(String authType)`
`void` `setMaxInactiveInterval(int interval)`
`void` `setNew(boolean n)`
`void` `setPrincipal(Principal p)` convert principal at SerializablePrincipal for backup nodes.
`void` `setSessionId(String sessionId)`
`void` `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final Log log

### sm

    protected static final StringManager sm

  The string manager for this package.

### TYPE_ATTRIBUTE

    public static final int TYPE_ATTRIBUTE

See Also:
  Constant Field Values

### TYPE_PRINCIPAL

    public static final int TYPE_PRINCIPAL

See Also:
  Constant Field Values

### TYPE_ISNEW

    public static final int TYPE_ISNEW

See Also:
  Constant Field Values

### TYPE_MAXINTERVAL

    public static final int TYPE_MAXINTERVAL

See Also:
  Constant Field Values

### TYPE_AUTHTYPE

    public static final int TYPE_AUTHTYPE

See Also:
  Constant Field Values

### ACTION_SET

    public static final int ACTION_SET

See Also:
  Constant Field Values

### ACTION_REMOVE

    public static final int ACTION_REMOVE

See Also:
  Constant Field Values

### NAME_PRINCIPAL

    public static final String NAME_PRINCIPAL

See Also:
  Constant Field Values

### NAME_MAXINTERVAL

    public static final String NAME_MAXINTERVAL

See Also:
  Constant Field Values

### NAME_ISNEW

    public static final String NAME_ISNEW

See Also:
  Constant Field Values

### NAME_AUTHTYPE

    public static final String NAME_AUTHTYPE

See Also:
  Constant Field Values

Constructor Detail

### DeltaRequest

    public DeltaRequest()

### DeltaRequest

    public DeltaRequest(String sessionId,
                        boolean recordAllActions)

Method Detail

### setAttribute

    public void setAttribute(String name,
                             Object value)

### removeAttribute

    public void removeAttribute(String name)

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int interval)

### setPrincipal

    public void setPrincipal(Principal p)

  convert principal at SerializablePrincipal for backup nodes. Only support principals from type `GenericPrincipal`

  Parameters:
    `p` - Session principal
  See Also:
    `GenericPrincipal`

### setNew

    public void setNew(boolean n)

### setAuthType

    public void setAuthType(String authType)

### addAction

    protected void addAction(int type,
                             int action,
                             String name,
                             Object value)

### execute

    public void execute(DeltaSession session,
                        boolean notifyListeners)

### reset

    public void reset()

### getSessionId

    public String getSessionId()

### setSessionId

    public void setSessionId(String sessionId)

### getSize

    public int getSize()

### clear

    public void clear()

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### serialize

    protected byte[] serialize()
                        throws IOException

  serialize DeltaRequest

  Returns:
    serialized delta request
  Throws:
    `IOException`
  See Also:
    `writeExternal(java.io.ObjectOutput)`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.